Subject: Re: [PATCH net v2 2/4] net: tls: prevent chain-after-chain in plain text SG

From: Jakub Kicinski <[email-masked]>
Date: Tue, 12 May 2026 17:14:03 -0700

On Wed, 13 May 2026 00:30:32 +0200 Sabrina Dubroca wrote:
> > > Probably a silly question: why do we need to chain the content type?
> > > Could we just drop it directly into the right slot of msg_pl?  
> > 
> > Good question, IDK either. Maybe anticipating the need for padding?
> > Do you prefer that as the fix, or follow up in net-next is fine?  
> 
> I'd go with "make it a bit more straightforward" and remove the
> chaining. If you want to retain the hunk moving the other chaining
> (for wrapping) around, go ahead. Not sure it would still make sense.

AFAICT start=N end=0 and tls content_type chaining are unnecessary.
So I think we can keep this fix as it.